Package org.apache.solr.client.solrj.request

## Class DelegationTokenRequest.Get

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.DelegationTokenRequest<DelegationTokenRequest.Get,​DelegationTokenResponse.Get>
    - - org.apache.solr.client.solrj.request.DelegationTokenRequest.Get

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  DelegationTokenRequest<Q extends DelegationTokenRequest<Q,​R>,​R extends DelegationTokenResponse>

    public static class DelegationTokenRequest.Get
    extends DelegationTokenRequest<DelegationTokenRequest.Get,​DelegationTokenResponse.Get>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

`DelegationTokenRequest.Cancel, DelegationTokenRequest.Get, DelegationTokenRequest.Renew`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

Fields
`protected String` `renewer`

### Fields inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

`OP_KEY, TOKEN_KEY`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`Get()`
`Get​(String renewer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DelegationTokenResponse.Get` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.
`protected DelegationTokenRequest.Get` `getThis()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### renewer

    protected String renewer

### Constructor Detail

#### Get

    public Get()

#### Get

    public Get​(String renewer)

### Method Detail

#### getThis

    protected DelegationTokenRequest.Get getThis()

Specified by:
  `getThis` in class `DelegationTokenRequest<DelegationTokenRequest.Get,​DelegationTokenResponse.Get>`

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<DelegationTokenResponse.Get>`

#### createResponse

    public DelegationTokenResponse.Get createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `DelegationTokenRequest<DelegationTokenRequest.Get,​DelegationTokenResponse.Get>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<DelegationTokenResponse.Get>`